#ifndef DISHESPICKFORM_H
#define DISHESPICKFORM_H

#include <QDialog>

namespace Ui {
class DishesPickForm;
}

class DishesPickForm : public QDialog
{
    Q_OBJECT

public:
    explicit DishesPickForm(QWidget *parent = 0);
    ~DishesPickForm();

    void Init(QString dishesId, QMap<QString, int> infos);

private slots:
    void on_dpfBtn_xj_clicked();

    void on_dpfBtn_sj_clicked();

    void on_dpfBtn_cancle_clicked();

private:
    Ui::DishesPickForm *ui;

    QString m_dishesId;

signals:
    void doUpdDishes(QStringList channelCode, QString, int);
};

#endif // DISHESPICKFORM_H
